Canalplan Bug Tracker



Anonymous Login
2019-06-19 14:12 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000100Canalplan [All Projects] Data Maintenancepublic2016-05-24 06:30
ReporterMike and Ethel Cummins 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version7
Product VersionProduct Build 
Target VersionFixed in Version9.26.6 
Summary0000100: Photo not showing
DescriptionI have uploaded two photos at the place "Home Page > Waterways > Mainland Britain > Trent and Mersey Canal > Main Line > Great Haywood to Etruria > Stone Boat Building Chandlery" but instead of showing both photos, the first has been replaced by the second photo and then, after reloading, the second replaced with the first. I've tried the ctrl+F5 trick, but still only one photo is showing.

Mike
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0000359

Shultzy (updater)

How long between photo uploads? The reason I ask is that I've noticed a delay in updates in the [New Contributions] page and this may be a contributing effect. I believe that some operations are done in the background and take a while to come into effect.

~0000360

Mike and Ethel Cummins (reporter)

The photos for this place were uploaded in one session, so I guess both uploaded within two to three minutes. Hope this helps. - Mike

~0000361

Shultzy (updater)

I think its one for Steve or Nick.

~0000363

Mike and Ethel Cummins (reporter)

Last edited: 2016-04-13 19:42

View 2 revisions

I've just noticed that the index displays a different photo to the one displayed when clicking it. This is the same problem that CanalPlan has had in the past. See 0000077. Mike

~0000364

Mike and Ethel Cummins (reporter)

The same thing has happened at Home Page > Waterways > Mainland Britain > Trent and Mersey Canal > Main Line > Great Haywood to Etruria > Aston Marina (Entrance).
Mike

~0000367

Nick Atty (administrator)

The cause of the bug is that if there happens to be a thumbnail hanging around - say from a previous photo that was on the place and then moved somewhere else - a new one isn't generated.

~0000368

Nick Atty (administrator)

But that doesn't explain why some of the uploads are vanishing - this just resolves the issue of the index not matching the photo.

I have absolutely no idea of what is going on here (nor why code that has worked fine for years is suddenly doing this). I'll see what I can find out.

If it happens again, can you make notes and tell me exactly (by descriptions or screenshots) which photos were there first, which are successful new uploads and which vanished.

~0000371

Mike and Ethel Cummins (reporter)

Last edited: 2016-04-21 20:47

View 5 revisions

Hello Nick,

I have just managed to reproduce this issue again, so here's my description of what happened:

I wanted to create a new place and add two photos.

I created a new place "Home Page > Waterways > Mainland Britain > Trent and Mersey Canal > Main Line > Fradley to Great Haywood > Spode House Long-term Moorings". Created ok.

Then I added the first photo. Added ok. See CP-1 screenshot.JPG.

Then I added the second photo, which led to a crash. See CP-2 screenshot.JPG.

I restarted CanalPlan and went to the "Spode House Long-term Moorings" page.
Only one photo (the second uploaded one) is showing. See CP-3 screenshot.JPG

Hope this helps you to sort out this issue.

Regards from Mike

_______________________________________________________________________________

Conclusion:

Since then I have added single photos to new and existing places (with and without photos) without experiencing any problems.
The problem only seems to occur when I add more than one photo to a place in the same session.
_______________________________________________________________________________

I've just noticed that the "History of changes" claims that the photograph was added to another place and subsequently moved here. This is, in this case, not true. See CP-4 screenshot.JPG.

~0000372

Nick Atty (administrator)

That's really useful. Thanks for taking the time to do that - just the information (I hope!) I'll need to get to the bottom of this.

~0000373

Shultzy (updater)

Mike / Nick [Ash Tree Bridge Water Point] also has the same comments .

{"History of changes" claims that the photograph was added to another place and subsequently moved here.}

Its curious to note that:

{Photograph added to another place by Charles Lyne – 30-10-2006 13:15:29 – and subsequently moved here.}

and

{Photograph moved here from [Ash Tree Bridge No 62 by Charles Lyne] – 30-10-2006 13:15:29}

have exactly the same time stamp.

~0000376

Nick Atty (administrator)

I believe I have fixed this. It was a strange problem that only occurred if you got a cached version of the photo entry page rather than a new one.

~0000454

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2016-04-13 13:54 Mike and Ethel Cummins New Issue
2016-04-13 16:58 Shultzy Note Added: 0000359
2016-04-13 18:04 Mike and Ethel Cummins Note Added: 0000360
2016-04-13 18:06 Shultzy Note Added: 0000361
2016-04-13 19:39 Mike and Ethel Cummins Note Added: 0000363
2016-04-13 19:42 Mike and Ethel Cummins Note Edited: 0000363 View Revisions
2016-04-14 12:38 Mike and Ethel Cummins Note Added: 0000364
2016-04-17 11:07 user3 Assigned To => Nick Atty
2016-04-17 11:07 user3 Status new => assigned
2016-04-17 15:07 Nick Atty Note Added: 0000367
2016-04-17 15:09 Nick Atty Note Added: 0000368
2016-04-20 10:06 Mike and Ethel Cummins File Added: CP-1 screenshot.JPG
2016-04-20 10:07 Mike and Ethel Cummins File Added: CP-2 screenshot.JPG
2016-04-20 10:08 Mike and Ethel Cummins File Added: CP-3 screenshot.JPG
2016-04-20 10:17 Mike and Ethel Cummins Note Added: 0000371
2016-04-20 12:23 Mike and Ethel Cummins Note Edited: 0000371 View Revisions
2016-04-20 16:33 Mike and Ethel Cummins Note Edited: 0000371 View Revisions
2016-04-21 06:50 Nick Atty Note Added: 0000372
2016-04-21 20:41 Mike and Ethel Cummins File Added: CP-4 screenshot.JPG
2016-04-21 20:45 Mike and Ethel Cummins Note Edited: 0000371 View Revisions
2016-04-21 20:47 Mike and Ethel Cummins Note Edited: 0000371 View Revisions
2016-04-21 23:02 Shultzy Note Added: 0000373
2016-04-23 18:06 Nick Atty Note Added: 0000376
2016-04-23 18:06 Nick Atty Status assigned => resolved
2016-04-23 18:06 Nick Atty Resolution open => fixed
2016-04-23 18:06 Nick Atty Fixed in Version => 9.26.6
2016-05-24 06:30 Autoclose Note Added: 0000454
2016-05-24 06:30 Autoclose Status resolved => closed
+Issue History